#ifndef MAEMOAPPLICATIONDETAILS_H
#define MAEMOAPPLICATIONDETAILS_H

#include "MaemoApplication.h"
#include "MaemoComment.h"


class MaemoApplicationDetails : public MaemoApplication {
    Q_OBJECT

    public:
        MaemoApplicationDetails();

        //set parameters
        void setDesc (QString);
        void setLicence (QString);
        void setStatus (QString);
        void setInstallFile (QString);
        void setInstallFileContent (QString);
        void setRevisor (QString);
        void addScreenshot (QString);
        void addUserComment (MaemoComment*);
        void setUnparsedComments (QString*);


        //get parameters
        QString getDescription ();
        QString getLicence ();
        QString getStatus ();
        QString getInstallFile ();
        QList <QString>* getScreenShots ();
        QString getInstallFileContent ();
        QString getFirstScreenShot ();
        QList <MaemoComment*>* getUserComments();
        QString * getUnparsedComments ();

        //output as a QString
        QString toString ();

    public slots:
        void setCommentsList (QList <MaemoComment*> *);

    private:
        QString desc;
        QString licence;
        QString status;
        QString installFile;
        QString installFileContent;
        QString revisor;
        QList <QString> *screenshots;
        QList <MaemoComment*> *userComments;
        QString *unparsedComments;

    };
#endif // MAEMOAPPLICATIONDETAILS_H
